# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name setlocale

# no useful debuginfo for Haskell packages without C sources
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        1.0.0.1
Release:        1%{?dist}
Summary:        A Haskell interface to setlocale

License:        BSD
URL:            http://pkg-haskell.alioth.debian.org/%{pkg_name}/
Source0:        http://pkg-haskell.alioth.debian.org/%{pkg_name}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
A Haskell interface to 'setlocale()'.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Thu Sep 11 2014 Philip Withnall <philip@tecnocode.co.uk> - 1.0.0.1-1
- Update to 1.0.0.1

* Thu Aug 28 2014 Philip Withnall <philip@tecnocode.co.uk> - 1.0.0-1
- Update to 1.0.0 (rewrite due to licencing issues)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 28 2014 Philip Withnall <philip@tecnocode.co.uk> - 0.0.3-1
- spec file generated by cabal-rpm-0.8.11
